
function GM:PlayerSpawn( ply )
	
	ply:SetTeam( 1 )
	
	ply:SetWalkSpeed( GetConVar("hr_player_walkspeed"):GetInt() )
	ply:SetRunSpeed( GetConVar("hr_player_runspeed"):GetInt() )
	ply:SetJumpPower( GetConVar("hr_player_jumpspeed"):GetInt() )
	ply:SetCustomCollisionCheck(true)
	
	if(GetConVar("hr_weapon_357"):GetInt() == 1) then
		ply:Give( "weapon_357" )
		ply:Give( "item_ammo_357_large" )
	end
	
	if(GetConVar("hr_weapon_ar2"):GetInt() == 1) then
		ply:Give( "weapon_ar2" )
		ply:Give( "item_ammo_ar2_large" )
	end
	
	if(GetConVar("hr_weapon_crossbow"):GetInt() == 1) then
		ply:Give( "weapon_crossbow" )
		ply:Give( "item_ammo_crossbow" )
	end
	
	if(GetConVar("hr_weapon_crowbar"):GetInt() == 1) then
		ply:Give( "weapon_crowbar" )
	end
	
	if(GetConVar("hr_weapon_frag"):GetInt() == 1) then
		ply:Give( "weapon_frag" )
		ply:Give( "weapon_frag" )
		ply:Give( "weapon_frag" )
	end
	
	if(GetConVar("hr_weapon_physcannon"):GetInt() == 1) then
		ply:Give( "weapon_physcannon" )
	end
	
	if(GetConVar("hr_weapon_pistol"):GetInt() == 1) then
		ply:Give( "weapon_pistol" )
		ply:Give( "item_ammo_pistol_large" )
	end
	
	if(GetConVar("hr_weapon_rpg"):GetInt() == 1) then
		ply:Give( "weapon_rpg" )
	end
	
	if(GetConVar("hr_weapon_shotgun"):GetInt() == 1) then
		ply:Give( "weapon_shotgun" )
		ply:Give( "item_box_buckshot" )
		ply:Give( "item_box_buckshot" )
	end
	
	if(GetConVar("hr_weapon_smg1"):GetInt() == 1) then
		ply:Give( "weapon_smg1" )
		ply:Give( "item_ammo_smg1_large" )
	end
	
	if(GetConVar("hr_weapon_stunstick"):GetInt() == 1) then
		ply:Give( "weapon_stunstick" )
	end
	
	local oldhands = ply:GetHands()
	
	if ( IsValid( oldhands ) ) then oldhands:Remove() end

	local hands = ents.Create( "gmod_hands" )
	
	if ( IsValid( hands ) ) then
    ply:SetHands( hands )
    hands:SetOwner( ply )

    -- Which hands should we use?
    local cl_playermodel = ply:GetInfo( "cl_playermodel" )
    local info = player_manager.TranslatePlayerHands( cl_playermodel )
    if ( info ) then
      hands:SetModel( info.model )
      hands:SetSkin( info.skin )
      hands:SetBodyGroups( info.body )
    end

    -- Attach them to the viewmodel
    local vm = ply:GetViewModel( 0 )
    hands:AttachToViewmodel( vm )

    vm:DeleteOnRemove( hands )
    ply:DeleteOnRemove( hands )

    hands:Spawn()
	end
 
end